<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Uav.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_uav_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Uav.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_uav_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef HDSUAV_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define HDSUAV_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_us_range_finder_8h.html">UsRangeFinder.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;                <span class="keyword">class </span>Ahrs;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;                <span class="keyword">class </span>UavMultiplex;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        }</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keyword">namespace </span>actuator {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                <span class="keyword">class </span>Bldc;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;                <span class="keyword">class </span>UsRangeFinder;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                <span class="keyword">class </span>BatteryMonitor;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                <span class="keyword">class </span>Imu;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                <span class="keyword">class </span>Camera;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;                <span class="keyword">class </span>NmeaGps;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;                <span class="keyword">class </span>PressureSensor;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        }</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span>meta {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">class </span>MetaUsRangeFinder;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classflair_1_1meta_1_1_uav.html">   48</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">core::Object</a> {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a>(std::string name,</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;      <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex = NULL);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  ~<a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a>();</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> StartSensors(<span class="keywordtype">void</span>)=0;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keywordtype">void</span> UseDefaultPlot(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *GetBldc(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *GetUavMultiplex(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *GetImu(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *GetAhrs(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *GetMetaUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *GetUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *GetBatteryMonitor(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *GetVerticalCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *GetHorizontalCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *GetGps(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html">sensor::PressureSensor</a> *GetPressureSensor(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">virtual</span> std::string GetDefaultVrpnAddress(<span class="keywordtype">void</span>)<span class="keyword"> const</span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;127.0.0.1:3883&quot;</span>;}</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isReadyToFly(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>;}</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">virtual</span> std::string GetType(<span class="keywordtype">void</span>) <span class="keyword">const</span>=0;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordtype">void</span> SetBldc(<span class="keyword">const</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">void</span> SetMultiplex(<span class="keyword">const</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">void</span> SetAhrs(<span class="keyword">const</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs);<span class="comment">//also sets imu (retrieved from the ahrs)</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordtype">void</span> SetUsRangeFinder(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordtype">void</span> SetBatteryMonitor(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery);</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordtype">void</span> SetVerticalCamera(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> SetHorizontalCamera(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordtype">void</span> SetGps(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *gps);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordtype">void</span> SetPressureSensor(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html">sensor::PressureSensor</a> *pressureSensor);</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *imu;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *gps;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *meta_us;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera,*horizontalCamera;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html">sensor::PressureSensor</a> *pressureSensor;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;};</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a> *<a class="code" href="namespaceflair_1_1meta.html#a25c35970b8786dd95240a48119065b69">GetUav</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;} <span class="comment">// end namespace meta</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#endif // HDSUAV_H</span></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></div><div class="ttdoc">Base class for Camera. </div><div class="ttdef"><b>Definition:</b> Camera.h:39</div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html">flair::sensor::PressureSensor</a></div><div class="ttdoc">Base class for PressureSensor. </div><div class="ttdef"><b>Definition:</b> PressureSensor.h:40</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_us_range_finder_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_us_range_finder.html">flair::sensor::UsRangeFinder</a></div><div class="ttdoc">Base class for UsRangeFinder. </div><div class="ttdef"><b>Definition:</b> UsRangeFinder.h:40</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_imu.html">flair::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:44</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html">flair::sensor::NmeaGps</a></div><div class="ttdoc">Base class for GPS using NMEA sentances. </div><div class="ttdef"><b>Definition:</b> NmeaGps.h:45</div></div>
<div class="ttc" id="_us_range_finder_8h_html"><div class="ttname"><a href="_us_range_finder_8h.html">UsRangeFinder.h</a></div><div class="ttdoc">Base class for UsRangeFinder. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_ahrs_html"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html">flair::filter::Ahrs</a></div><div class="ttdoc">Abstract class for AHRS. </div><div class="ttdef"><b>Definition:</b> Ahrs.h:44</div></div>
<div class="ttc" id="namespaceflair_1_1meta_html_a25c35970b8786dd95240a48119065b69"><div class="ttname"><a href="namespaceflair_1_1meta.html#a25c35970b8786dd95240a48119065b69">flair::meta::GetUav</a></div><div class="ttdeci">Uav * GetUav(void)</div><div class="ttdoc">get Uav </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html">flair::filter::UavMultiplex</a></div><div class="ttdoc">Class defining uav multiplexing. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:37</div></div>
<div class="ttc" id="classflair_1_1meta_1_1_meta_us_range_finder_html"><div class="ttname"><a href="classflair_1_1meta_1_1_meta_us_range_finder.html">flair::meta::MetaUsRangeFinder</a></div><div class="ttdoc">Classe haut niveau pour capteur à ultra son. </div><div class="ttdef"><b>Definition:</b> MetaUsRangeFinder.h:40</div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_battery_monitor_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_battery_monitor.html">flair::sensor::BatteryMonitor</a></div><div class="ttdoc">Base class for battery monitor. </div><div class="ttdef"><b>Definition:</b> BatteryMonitor.h:35</div></div>
<div class="ttc" id="classflair_1_1meta_1_1_uav_html"><div class="ttname"><a href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></div><div class="ttdoc">Base class to construct sensors/actuators depending on uav type. The Object is created with the Frame...</div><div class="ttdef"><b>Definition:</b> Uav.h:48</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></div><div class="ttdoc">Base class for brushless motors drivers. </div><div class="ttdef"><b>Definition:</b> Bldc.h:37</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_e44722efdb10e7ceda2dbbaecca58ed3.html">FlairMeta</a></li><li class="navelem"><a class="el" href="dir_ed462f49eec2f2c269d321a045b86103.html">src</a></li><li class="navelem"><a class="el" href="_uav_8h.html">Uav.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
